Subject: Re: git-daemon and hook output

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 24 Oct 2008 13:42:44 -0700

Miklos Vajna <[email-masked]> wrote:
> On Fri, Oct 24, 2008 at 01:07:13AM -0400, Joey Hess <[email-masked]> wrote:
> > I ran into this in a real-world application -- I'm implementing
> > anonymous pushes into ikiwiki, which are checked pre-receive to limit
> > them to changes that could be done via the web interface. So all my nice
> > error messages about why a commit is refused are not available, which is
> > a pity.
> 
> I think the recommended protocol even for anonymous push is ssh, at
> least that's what repo.or.cz uses for the 'mob' user, which is
> equivalent to anonymous, AFAIK.

Nah.  git:// supports anonymous push.  For some applications its
just what people want.  I say the original change is worthwhile;
expose the remote address and let a hook do logging and/or denials
based on its own logic.

-- 
Shawn.